Package twisted :: Package protocols :: Module ethernet :: Class IEthernetProtocol |
[frames | no frames]

## Class IEthernetProtocol

    Interface --+
                |
               IEthernetProtocol

An interface for protocols that handle Ethernet frames

Method Summary
| ``addProto`()` Add an IRawPacketProtocol protocol
| ``datagramReceived`()` An Ethernet frame has been received

Method Details

### addProto() Add an IRawPacketProtocol protocol

### datagramReceived() An Ethernet frame has been received

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net